Skip to main content
GET
Retrieve a task

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as Bearer <API_KEY>.

Path Parameters

task_id
string
required

Task ID

Response

Run returned.

task_id
string
required

Task ID

log_detail_url
string<uri>
required

URL to detailed execution logs for this task.

bot_type
enum<string>
required

Public bot type.

Available options:
workflow,
agent
status
enum<string>
required

Public lifecycle status of a bot run.

Available options:
created,
running,
finished,
canceled,
pausing,
paused,
failed
created_at
string<date-time>
required

Task creation time

input
object
required

Input object accepted for this run.

bot_id
string

Public bot identifier used by a normal Bot run.

bot_name
string

Bot display name when available for a normal Bot run.

finished_at
string<date-time>

Task finish time (if ended)

task_failure_info
object
output
any | null

Present only when the task has ended. Inline output is limited to 5 MB. If the complete result exceeds this limit, read it from output_files.

output_files
object

Business result files keyed by format, for example json, md, csv or xml. Each file is limited to 100 MB.

download_files
object[]

Files generated by the task (if any).

files_expires_at
integer<int64>

Expiration timestamp for download files.

steps
object[]

Steps executed within the task.

live_url_info
object

Present only when the task is running.

credit
integer<int64>

Credits consumed by this task.